create table station (
	idS bigint,
	nomS varchar(255),
	primary key (idS)
)ENGINE=InnoDB;

create table critere (
	idC bigint,
	libelleC varchar(255),
	uniteC varchar(50),
	primary key (idC)
)ENGINE=InnoDB;

create table annee (
	numA integer,
	introA text,
	conclusionA text,
	idS bigint,
	primary key (numA,idS),
	foreign key(idS) references station(idS)
)ENGINE=InnoDB;

create table mois (
	numM integer,
	remarquesM text,
	numA integer,
	idS bigint,
	primary key (numM,numA,idS),
	foreign key(numA,idS) references annee(numA,idS)
)ENGINE=InnoDB;


create table relever (
	numM integer,
	numA integer,
	idS bigint,
	idC bigint,
	numJ integer,
	qteEntreeR integer,
	qteSortieR integer,
	primary key (numM,numA,idS,idC,numJ),
	foreign key(numM,numA,idS) references mois(numM,numA,idS),
	foreign key(idC) references critere(idC)
)ENGINE=InnoDB;


INSERT INTO station (idS, nomS) VALUES
(1, 'Landerrouat'),
(2, 'station des vignes du sud-ouest');

INSERT INTO critere (idC, libelleC, uniteC) VALUES
(1, 'Eau', 'm3'),
(2, 'DCO', 'mg/l'),
(3, 'MES', 'mg/l'),
(4, 'haute densite', 'kg/l');


